# $Revision: 1.28 $, $Date: 2009/03/29 19:00:15 $
Summary:	Gnome Music Player Client
Summary(pl.UTF-8):	Odtwarzacz Gnome Music Player Client
Name:		gmpc
Version:	0.18.0
Release:	3
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/musicpd/%{name}-%{version}.tar.gz
# Source0-md5:	4a0d3a4bd03686f4e51b23110186cba0
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-xspf.patch
URL:		http://gmpc.wikia.com
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	gob2
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	intltool
BuildRequires:	libglade2-devel
BuildRequires:	libmpd-devel >= 0.18.0
BuildRequires:	libtool
BuildRequires:	libxspf-devel
BuildRequires:	pkgconfig >= 0.9
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xorg-lib-libSM-devel
%requires_eq	libmpd
Requires(post,postun):	gtk+2
Obsoletes:	gmpc-plugin-serverstats
Obsoletes:	gmpc-plugin-favorites
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GMPC is a frontend for the mpd (Music Player Daemon). It's focused on
being fast and easy to use, while making optimal use of all the
functions in mpd. The latest release (0.13) features plugin support so
it can be easily extended where needed, plugins can range from showing
a small osd window to adding an extra view in the playlist browser.

%description -l pl.UTF-8
GMPC to frontend dla mpd (Music Player Daemon). Skupia się na byciu
najszybszym i prostym w użyciu, a jednocześnie optymalnym
wykorzystywaniu wszystkich funkcji mpd. Ostatnie wydanie (0.13) ma
obsługę wtyczek, więc można go łatwo rozszerzać w miarę potrzeby;
wtyczki mogą obsługiwać funkcjonalność od wyświetlania małego okienka
na ekranie do dodawania dodatkowego widoku do przeglądarki playlist.

%package devel
Summary:	Header files for GMPC plugin developement
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia wtyczek dla GMPC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libmpd-devel >= 0.18.0

%description devel
Header files for GMPC plugin developement.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia wtyczek dla GMPC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

RC=no \
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_libdir}/%{name}/plugins,%{_datadir}/%{name}/plugins}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# drop javanese translation, need glibc support first
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/jv

%find_lang gmpc

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f gmpc.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/gmpc
%attr(755,root,root) %{_bindir}/gmpc-remote
%attr(755,root,root) %{_bindir}/gmpc-remote-stream
%{_desktopdir}/gmpc.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_iconsdir}/hicolor/16x16/apps/gmpc.png
%{_iconsdir}/hicolor/22x22/apps/gmpc.png
%{_iconsdir}/hicolor/32x32/apps/gmpc.png
%{_iconsdir}/hicolor/48x48/apps/gmpc.png
%{_iconsdir}/hicolor/scalable/apps/gmpc.svg
%{_mandir}/man1/gmpc-remote.1*
%{_mandir}/man1/gmpc.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/gmpc
%{_pkgconfigdir}/gmpc.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gmpc.spec,v $
Revision 1.28  2009/03/29 19:00:15  wiget
- drop unsupported by glibc javanese translation

Revision 1.27  2009/03/29 18:14:12  wiget
- added xspf.patch (update to new API)
- release 2

Revision 1.26  2009/03/28 18:23:36  wiget
- serverstats and favorites integrated into main program

Revision 1.25  2009/03/28 17:13:48  wiget
- updated to 0.18.0

Revision 1.24  2009/01/24 17:14:35  megabajt
- regenerate hicolor icon cache in post/postun
- more verbose files
- removed obsolete patches (-locale.patch and -plugins_path.patch)
- changed license to GPL v2+
- release 2

Revision 1.23  2008/12/28 21:55:28  wiget
- updated to 0.17.0

Revision 1.22  2008/12/21 16:40:10  wiget
- updated to 0.16.96 aka 0.17.0-beta2
- switch to sourceforge for dl

Revision 1.21  2008/12/06 10:54:15  jajcus
- %{_libdir}/%{name}/plugins dir added

Revision 1.20  2008/11/30 19:57:08  aredridel
- 0.16.95

Revision 1.19  2008/08/29 10:50:40  pluto
- requires_eq libmpd.

Revision 1.18  2008/08/29 10:45:01  pluto
- don't try to compile windows resources on linux (something defines HAVE_RC on the fly, auto*bug?).
- release 3.

Revision 1.17  2008/08/29 10:22:41  pluto
- add missed BRs, fix reentrant build.

Revision 1.16  2008/07/19 08:12:49  arekm
- release 2

Revision 1.15  2008-04-27 00:08:29  aredridel
- fix nb locale name

Revision 1.14  2008-02-04 09:31:51  czarny
- proper d/l URL

Revision 1.13  2007-12-07 00:52:05  sls
- BR: gob2 (ac macro GOB2_CHECK)

Revision 1.12  2007-10-17 14:15:20  jajcus
- Release: 2
- /usr/share/gmpc/plugins dir added (used by the magnatune browser plugin)

Revision 1.11  2007/06/11 00:30:17  aredridel
- 0.15.1

Revision 1.10  2007/05/21 15:28:36  wiget
- require new libmpd on runtime, release 2

Revision 1.9  2007/05/20 02:24:55  aredridel
- 0.15.0

Revision 1.8  2007/04/04 20:19:53  megabajt
- added desktop patch
- revised deps
- release 2

Revision 1.7  2007/02/19 21:12:34  wiget
- updated to 0.14.0

Revision 1.6  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.4  2006/12/19 20:59:11  qboosh
- pl

Revision 1.3  2006/12/15 17:30:36  jajcus
- devel package requires libmpd-devel

Revision 1.2  2006/12/13 21:46:43  jajcus
- force distfiles dropin checkout

Revision 1.1  2006/12/13 21:22:04  jajcus
- new spec
